Update Item Sales Channel Price
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices/{salesChannelId}/{customerGroupId}/{fromQuantity} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"NetPrice": 126.04,
"ReduceStandardPriceByPercent": 5
}
'import requests
url = "https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices/{salesChannelId}/{customerGroupId}/{fromQuantity}"
payload = {
"NetPrice": 126.04,
"ReduceStandardPriceByPercent": 5
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({NetPrice: 126.04, ReduceStandardPriceByPercent: 5})
};
fetch('https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices/{salesChannelId}/{customerGroupId}/{fromQuantity}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}item
Update Item Sales Channel Price
Update a specific sales channel price for a given item
PATCH
/
items
/
{itemId}
/
salesChannelPrices
/
{salesChannelId}
/
{customerGroupId}
/
{fromQuantity}
Update Item Sales Channel Price
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The sales channel Id of the item that the sales channel price belongs to. Only online shops and JTL-POS are allowed.
The quantity the customer must buy to find the sales price.
Body
application/json
The item sales channel price to update.
Response
Was this page helpful?
⌘I